# $Revision: 1.110.2.1 $, $Date: 2007/03/26 16:16:18 $
%include	/usr/lib/rpm/macros.perl
Summary:	High-performance mail store with imap and pop3
Summary(pl):	Wysoko wydajny serwer IMAP i POP3
Summary(pt_BR):	Um servidor de mail de alto desempenho que suporta IMAP e POP3
Name:		cyrus-imapd
Version:	2.2.12
Release:	7
License:	BSD-like
Group:		Networking/Daemons
Source0:	ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%{name}-%{version}.tar.gz
# Source0-md5:	70b3bba526a8d36d3bb23a87d37e9188
Source1:	cyrus-README
Source2:	cyrus-procmailrc
Source3:	cyrus-deliver-wrapper.c
Source4:	cyrus-user-procmailrc.template
Source5:	%{name}-procmail+cyrus.mc
Source6:	%{name}.logrotate
Source7:	%{name}.conf
Source9:	%{name}.pamd
Source10:	%{name}-pop.pamd
Source11:	%{name}.init
Source12:	cyrus.conf
Patch0:		%{name}-et.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-quota.patch
URL:		http://andrew2.andrew.cmu.edu/cyrus/imapd/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel >= 1.5.27
BuildRequires:	db-devel >= 4.1.25
BuildRequires:	flex
BuildRequires:	libcom_err-devel >= 1.21
BuildRequires:	libtool
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts
# needed by scripts from %{_bindir}
Requires:	pam >= 0.79.0
Requires:	perl-%{name} = %{version}-%{release}
Provides:	imapdaemon
Provides:	pop3daemon
Provides:	user(cyrus)
Obsoletes:	imap
Obsoletes:	imapd
Obsoletes:	imapdaemon
Obsoletes:	pop3daemon
Conflicts:	courier-imap
Conflicts:	courier-imap-common
Conflicts:	courier-imap-pop3
Conflicts:	imap
Conflicts:	imap-common
Conflicts:	imap-pop2
Conflicts:	imap-pop3
Conflicts:	qpopper
Conflicts:	qpopper6
Conflicts:	solid-pop3d
Conflicts:	tpop3d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/cyrus

%description
The Cyrus IMAP server is a scalable enterprise mail system designed
for use from small to large enterprise environments using
standards-based technologies.

A full Cyrus IMAP implementation allows a seamless mail and bulletin
board environment to be set up across multiple servers. It differs
from other IMAP server implementations in that it is run on "sealed"
servers, where users are not normally permitted to log in. The mailbox
database is stored in parts of the filesystem that are private to the
Cyrus IMAP system. All user access to mail is through software using
the IMAP, POP3, or KPOP protocols.

%description -l pl
Serwer Cyrus IMAP jest skalowalnym systemem e-mail dla
przedsibiorstwa, zaprojektowanym dla maych i duych firm i
wykorzystujcym oparte na standardach technologie.

Pena implementacja Cyrus IMAP pozwala na bezproblemowe ustawienie
rodowiska poczty i elektronicznej tablicy ogoszeniowej na kilku
serwerach. Tym si rni od innych implementacji serwerw IMAP, e
jest uruchamiany na "opiecztowanych" serwerach, na ktre w normalnych
warunkach uytkownicy nie mog si zalogowa. Baza danych skrzynek
pocztowych jest przechowywana w tych czciach systemu plikw, ktre
s dostpne jedynie dla systemu IMAP Cyrus. Wszelki dostp do poczty
ma miejsce poprzez oprogramowanie wykorzystujce protokoy IMAP, POP3
oraz KPOP.

%description -l pt_BR
O servidor IMAP Cyrus  um sistema de mail corporativo escalvel
projetado para uso por pequenos a grandes ambientes corporativos
usando tecnologias baseadas em padres abertos.

Uma implementao completa do Cyrus permite se configurar um ambiente
transparente de mail e bulletin board entre mltiplos servidores. Ele
difere de outros servidores IMAP por rodar em servidores "selados",
onde usurios no possuem normalmente a permisso de log in. O banco
de dados de caixas de mail  armazenado em partes do sistema de
arquivos que so privativos do sistema Cyrus. Todo o acesso de
usurios aos mails se d atravs de software usando os protocolos
IMAP, POP3 ou KPOP.

%package libs
Summary:	Shared cyrus-imapd libraries
Summary(pl):	Wspdzielone biblioteki cyrus-imapd
Group:		Libraries

%description libs
Shared cyrus-imapd libraries.

%description libs -l pl
Wspdzielone biblioteki cyrus-imapd.

%package devel
Summary:	Header files for developing with cyrus-imapd libraries
Summary(pl):	Pliki nagwkowe do programowania z uyciem bibliotek cyrus-imapd
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This package provides the necessary header files files to allow you to
develop with cyrus-imapd libraries.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe niezbdne do tworzenia
oprogramowania z wykorzystaniem bibliotek cyrus-imapd.

%package static
Summary:	Static cyrus-imapd libraries
Summary(pl):	Biblioteki statyczne cyrus-imapd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static cyrus-imapd libraries

%description static -l pl
Biblioteki statyczne cyrus-imapd

%package -n perl-%{name}
Summary:	Perl interface to cyrus-imapd library
Summary(pl):	Perlowy interfejs do biblioteki cyrus-imapd
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{version}-%{release}

%description -n perl-%{name}
Perl interface to cyrus-imapd library.

%description -n perl-%{name} -l pl
Perlowy interfejs do biblioteki cyrus-imapd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

rm -rf autom4te.cache

%build
cd makedepend
%{__aclocal}
%{__autoconf}
%configure
%{__make}
PATH=$PATH:`pwd`; export PATH
cd ..
%{__libtoolize}
%{__aclocal} -I cmulocal
%{__autoheader}
%{__autoconf}
cp -f %{_datadir}/automake/config.* .
cp -f %{_datadir}/automake/install-sh .
%configure \
	--with-auth=unix \
	--without-libwrap \
	--with-cyrus-prefix=%{_libexecdir} \
	--with-service-path=%{_libexecdir} \
	--with-com_err=/usr \
	--with-perl=%{__perl} \
	--enable-nntp
%{__make} \
	INSTALLDIRS=vendor

%{__cc} %{rpmcflags} \
	-DLIBEXECDIR="\"%{_libexecdir}\"" %{rpmldflags} -Wall -o deliver-wrapper %{SOURCE3}

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_sbindir},%{_libexecdir},%{_mandir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{logrotate.d,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT/var/spool/imap/stage. \
	$RPM_BUILD_ROOT/var/lib/imap/{user,quota,proc,log,msg,deliverdb/db,sieve,db,socket} \
	$RPM_BUILD_ROOT/etc/{security,pam.d,rc.d/init.d}

touch $RPM_BUILD_ROOT/var/lib/imap/mailboxes \
	$RPM_BUILD_ROOT/var/lib/imap/faillog \
	$RPM_BUILD_ROOT/etc/security/blacklist.imap \
	$RPM_BUILD_ROOT/etc/security/blacklist.pop

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	CYRUS_USER="`id -u`" \
	CYRUS_GROUP="`id -g`" \
	INSTALLDIRS=vendor

install deliver-wrapper $RPM_BUILD_ROOT%{_libexecdir}/deliver-wrapper

install %{SOURCE1}	%{SOURCE2} %{SOURCE4} %{SOURCE5} .
install %{SOURCE6}	$RPM_BUILD_ROOT/etc/logrotate.d/cyrus-imapd
install %{SOURCE7}	$RPM_BUILD_ROOT%{_sysconfdir}/imapd.conf
install %{SOURCE9}	$RPM_BUILD_ROOT/etc/pam.d/imap
install %{SOURCE10}	$RPM_BUILD_ROOT/etc/pam.d/pop
sed -e 's,/''usr/lib/cyrus,%{_libexecdir},' %{SOURCE11} > $RPM_BUILD_ROOT/etc/rc.d/init.d/cyrus-imapd
install %{SOURCE12}	$RPM_BUILD_ROOT%{_sysconfdir}/cyrus.conf

mv -f $RPM_BUILD_ROOT%{_libexecdir}/master	$RPM_BUILD_ROOT%{_libexecdir}/cyrus-master
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/master.8	$RPM_BUILD_ROOT%{_mandir}/man8/cyrus-master.8
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/idled.8
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

touch $RPM_BUILD_ROOT/etc/security/blacklist.{imap,pop}

find $RPM_BUILD_ROOT%{perl_vendorarch} -name .packlist | xargs rm -v

# make hashed dirs
for i in `%{__perl} -le 'print for "a".."z"'`; do
	install -d $RPM_BUILD_ROOT%{_var}/lib/imap/user/$i
	install -d $RPM_BUILD_ROOT%{_var}/lib/imap/quota/$i
	install -d $RPM_BUILD_ROOT%{_var}/lib/imap/sieve/$i
	install -d $RPM_BUILD_ROOT%{_var}/spool/imap/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 76 -d /var/spool/imap -s /bin/false -c "Cyrus User" -g mail cyrus

%post
/sbin/chkconfig --add cyrus-imapd
touch /var/lib/imap/faillog
chown cyrus:mail /var/lib/imap/faillog
chmod 640 /var/lib/imap/faillog
cd /var/lib/imap
chattr +S . user quota user/* quota/* 2>/dev/null ||:
chattr +S /var/spool/imap /var/spool/imap/* 2>/dev/null ||:
%service cyrus-imapd restart "cyrus imap daemon"

%preun
if [ "$1" = "0" ]; then
	%service cyrus-imapd stop
	/sbin/chkconfig --del cyrus-imapd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove cyrus
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc cyrus-README cyrus-procmailrc cyrus-user-procmailrc.template
%doc cyrus-imapd-procmail+cyrus.mc COPYRIGHT doc/*.html tools
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/cyrus-imapd
%attr(440,cyrus,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.*
%attr(754,root,root) /etc/rc.d/init.d/cyrus-imapd
%attr(640,cyrus,mail) %ghost /var/lib/imap/faillog
%attr(755,root,root) %{_bindir}/*
%dir %{_libexecdir}
%attr(4754,cyrus,mail) %{_libexecdir}/deliver
%attr(2755,cyrus,mail) %{_libexecdir}/deliver-wrapper
%attr(755,root,root) %{_libexecdir}/arbitron
%attr(755,root,root) %{_libexecdir}/chk_cyrus
%attr(755,root,root) %{_libexecdir}/ctl_deliver
%attr(755,root,root) %{_libexecdir}/ctl_mboxlist
%attr(755,root,root) %{_libexecdir}/ctl_cyrusdb
%attr(755,root,root) %{_libexecdir}/cvt_cyrusdb
%attr(755,root,root) %{_libexecdir}/cyr_expire
%attr(755,root,root) %{_libexecdir}/cyrdump
%attr(755,root,root) %{_libexecdir}/cyrus-master
%attr(755,root,root) %{_libexecdir}/fud
%attr(755,root,root) %{_libexecdir}/imapd
%attr(755,root,root) %{_libexecdir}/ipurge
%attr(755,root,root) %{_libexecdir}/lmtpd
%attr(755,root,root) %{_libexecdir}/mbexamine
%attr(755,root,root) %{_libexecdir}/mbpath
%attr(755,root,root) %{_libexecdir}/notifyd
%attr(755,root,root) %{_libexecdir}/pop3d
%attr(755,root,root) %{_libexecdir}/pop3proxyd
%attr(755,root,root) %{_libexecdir}/quota
%attr(755,root,root) %{_libexecdir}/reconstruct
%attr(755,root,root) %{_libexecdir}/sievec
%attr(755,root,root) %{_libexecdir}/smmapd
%attr(755,root,root) %{_libexecdir}/squatter
%attr(755,root,root) %{_libexecdir}/timsieved
%attr(755,root,root) %{_libexecdir}/tls_prune
%attr(755,root,root) %{_libexecdir}/fetchnews
%attr(755,root,root) %{_libexecdir}/nntpd

%attr(750,cyrus,mail) /var/spool/imap
%attr(750,cyrus,mail) %dir /var/lib/imap
%attr(750,cyrus,mail) %dir /var/lib/imap/deliverdb
%attr(750,cyrus,mail) /var/lib/imap/deliverdb/db
%attr(750,cyrus,mail) /var/lib/imap/quota
%attr(750,cyrus,mail) /var/lib/imap/user
%attr(750,cyrus,mail) /var/lib/imap/sieve
%attr(750,cyrus,mail) /var/lib/imap/log
%attr(750,cyrus,mail) /var/lib/imap/msg
%attr(750,cyrus,mail) /var/lib/imap/proc
%attr(750,cyrus,mail) /var/lib/imap/db
%attr(750,cyrus,mail) /var/lib/imap/socket
%attr(750,cyrus,mail) %config(noreplace) %verify(not md5 mtime size) /var/lib/imap/mailboxes

%{_mandir}/man*/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/cyrus

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n perl-%{name}
%defattr(644,root,root,755)
%{perl_vendorarch}/Cyrus
%dir %{perl_vendorarch}/auto/Cyrus
%dir %{perl_vendorarch}/auto/Cyrus/IMAP
%attr(755,root,root) %{perl_vendorarch}/auto/Cyrus/IMAP/IMAP.so
%{perl_vendorarch}/auto/Cyrus/IMAP/IMAP.bs
%dir %{perl_vendorarch}/auto/Cyrus/SIEVE
%dir %{perl_vendorarch}/auto/Cyrus/SIEVE/managesieve
%attr(755,root,root) %{perl_vendorarch}/auto/Cyrus/SIEVE/managesieve/managesieve.so
%{perl_vendorarch}/auto/Cyrus/SIEVE/managesieve/managesieve.bs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cyrus-imapd.spec,v $
Revision 1.110.2.1  2007/03/26 16:16:18  glen
- missing dir, lib64 fixes; rel 7

Revision 1.110  2006/09/08 18:04:00  glen
- rel 6 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.109  2006/04/14 14:34:28  glen
- rel 5

Revision 1.108  2006/02/24 15:20:04  glen
- use %service

Revision 1.107  2005/12/09 23:56:52  arekm
- over 4GB quota support; by Stefan Szczygielski

Revision 1.106  2005/12/02 13:50:28  qboosh
- it uses net-snmp now
- release 4 to rebuild without home-etc lib (pulled by old rpm/net-snmp)

Revision 1.105  2005/07/25 12:16:34  havner
- rel 3 for rpm rebuild

Revision 1.104  2005/06/05 00:55:45  zbyniu
- BR: rpm-perlprov

Revision 1.103  2005/05/12 13:10:21  baggins
- release 2
- req pam 0.79

Revision 1.102  2005/05/02 18:23:51  glen
- adapterized

Revision 1.101  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.100  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.99  2005/03/11 17:47:39  radzio
- --enable-nntp

Revision 1.98  2005/02/23 14:47:14  paszczus
- updated to 2.2.12
- STBR

Revision 1.97  2004/12/13 14:13:49  qboosh
- no complaints? so release 1 as security fix

Revision 1.96  2004/11/26 12:01:51  qboosh
- BR ac 2.54

Revision 1.95  2004/11/23 23:37:31  qboosh
- updated to 2.2.10 (fixes CAN-2004-1011 CAN-2004-1012 CAN-2004-1013 CAN-2004-1015)

Revision 1.94  2004/10/16 00:18:01  ankry
- %groupremove/%userremove support, some standarization

Revision 1.93  2004/09/26 21:51:32  kolodko
- added macros in /etc/logrotate.d

Revision 1.92  2004/08/30 18:07:24  snurf
- typo / formatting / etc.

Revision 1.91  2004/08/08 15:49:10  ankry
- spaces -> tabs

Revision 1.90  2004/07/31 00:30:16  qboosh
- updated to 2.2.8

Revision 1.89  2004/07/26 22:43:39  paszczus
- updated to 2.2.7

Revision 1.88  2004/07/25 18:46:11  qboosh
- updated to 2.2.6, updated shared patch, removed obsolete mandir patch

Revision 1.87  2004/06/01 10:31:32  qboosh
- scripts from base require perl-

Revision 1.86  2004/05/19 13:26:26  twittner
- typo

Revision 1.85  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.84  2004/03/14 18:14:13  qboosh
- bugfix in shared patch, release 0.3

Revision 1.83  2004/03/14 17:34:08  qboosh
- updated mandir patch so overriding mandir on install is no longer necessary
- added shared patch, build shared libcyrus and libcyrus_min, separated -libs
- unified cyrus user creation, release 0.2

Revision 1.82  2004/02/28 21:17:55  qboosh
- updated to 2.2.3 (ready for db 4.2)
- removed obsolete snmp,paths patches

Revision 1.81  2003/11/25 15:44:02  qboosh
- updated to 2.1.16

Revision 1.80  2003/10/16 10:05:06  qboosh
- cosmetics

Revision 1.79  2003/10/16 10:00:48  qboosh
- s/e2fsprogs-devel/libcom_err-devel/

Revision 1.78  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.77  2003/09/26 14:22:40  baggins
- release 1.1

Revision 1.76  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.75  2003/09/05 09:40:45  qboosh
- 2.1.15 (again: builds, untested)

Revision 1.74  2003/08/11 20:44:53  ankry
- cosmetics

Revision 1.73  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.72  2003/07/27 21:27:10  qboosh
- 2.1.14, updated et patch

Revision 1.71  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.70  2003/05/25 05:46:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.69  2003/05/17 07:05:02  pascalek
- revert user changes

Revision 1.68  2003/05/10 09:39:33  pascalek
- Req user-cyrus

Revision 1.67  2003/03/03 02:19:24  radek
- "simplified the "a".."z" hack

Revision 1.66  2003/03/02 15:57:32  radek
- copied config.*/install-sh from automake (athlon problems)
- updated for perl-5.8.0
- release 0.3

Revision 1.65  2003/02/24 19:13:42  wiget
- start update to 2.1.12
- compiles and start
- with small config update works too

Revision 1.64  2003/02/13 14:02:03  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.63  2003/02/07 18:47:42  migo
- random description fixes

Revision 1.62  2003/01/10 15:13:27  qboosh
- updated to 2.0.17, updated ipv6 patch, removed obsolete *overflow patches
- fixed ugly bug in snprintf patch (possible SEGV)
- candidate for ra/updates/

Revision 1.61  2002/12/05 14:00:39  qboosh
- fixes for possible security issues:
  - sieve-overflows patch for buffer overflows in libsieve
  - imap-intoverflow patch for integer overflow in imapd (not serious
    in 2.0.x, but imapd could allocate huge amount of memory)
  - snprintf patch with one sprintf->snprintf replace (from 2.1.x)
- release 11

Revision 1.60  2002/10/19 10:41:46  kloczek
- release 10: rebuild against ucd-snmp 4.2.6.

Revision 1.59  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.58  2002/10/01 09:01:04  kura
- perl files moved to perl-cyrus-imapd
- release 9

Revision 1.56  2002/09/20 14:20:08  undefine
- obsoletes imap

Revision 1.55  2002/08/12 12:43:44  kloczek
- reverte last change (seems in rpm file_check is bug on checking %ghost files).

Revision 1.54  2002/08/12 08:31:55  kloczek
- added %ghost /var/lib/imap/faillog to %files.

Revision 1.53  2002/08/12 08:29:16  kloczek
- release 8: removed from files %{_mandir}/man8/idled.8
  (conflict with idled package).

Revision 1.52  2002/08/07 11:55:06  qboosh
- Conflicts: courier-imap{,-common,-pop3}, tpop3d; release 7

Revision 1.51  2002/07/30 22:36:10  kloczek
- merge translations from Conectiva.

Revision 1.50  2002/07/29 15:08:11  qboosh
- added fix for autoconf 2.53, BR: fixed ucd-snmp, new %doc, release 6

Revision 1.49  2002/05/21 23:12:46  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.48  2002/05/13 09:58:19  kloczek
- not ucd-snmp 4.2.4 but 4.2.5.

Revision 1.47  2002/05/13 09:56:15  kloczek
- release 5: rebuild against ucd-snmp-deve 4.2.4.

Revision 1.46  2002/04/25 16:08:57  arturs
- fixed a small typo

Revision 1.45  2002/04/15 11:27:45  qboosh
- License is BSD-like, removed outdated license info from descriptions
- Conflicts: imap{,-common,-pop2,-pop3}
- release 4

Revision 1.44  2002/03/27 10:31:04  roman
- License: academic/research --> License: Academic/research

Revision 1.43  2002/03/16 20:15:32  michuz
- BR: perl-devel instead of perl

Revision 1.42  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.41  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/01/18 02:12:39  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2001/12/15 16:37:13  kloczek
- release 3: rebuild against ucd-snmp 4.2.3.

Revision 1.38  2001/11/07 01:08:28  kloczek
- release 2: rebuild against ucd-snmp 4.2.2.

Revision 1.37  2001/10/03 14:57:16  qboosh
- BuildRequires: autoconf, automake

Revision 1.36  2001/09/26 03:38:13  blues
- typo

Revision 1.35  2001/09/24 11:53:27  qboosh
- Prereq: /sbin/chkconfig

Revision 1.34  2001/08/24 04:50:21  kloczek
- added ucd-snmp-devel and flex to BuildRequires.

Revision 1.33  2001/08/24 04:48:46  kloczek
- updated to 2.0.16,
- updated ipv6 patch and removed obsoleted checkfd patch.

Revision 1.32  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.30  2001/07/10 11:03:16  wiget
- updated to 2.0.15

Revision 1.29  2001/07/06 17:14:01  wiget
- version 2.0.14
- use 'oryginal' IPv6 patch
- added et.patch (now external libcom_err is used), checkfd.patch (one SigSegv
  less), ac250.patch (fix quotation in configure.in)
- one more binary
- simplified perl package

Revision 1.28  2001/05/09 01:58:42  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.27  2001/04/27 20:14:03  kloczek
- added rc-scripts to Prereq,
- added using %{rpmcflags}, %{rpmldflags} macros.

Revision 1.26  2001/04/27 14:08:44  wiget
- version 2.0.13
- cvs patch removed
- added BuildConflicts e2fsprogs-devel (et_compile from e2fsprogs-devel
  are broken)
- ready for building

Revision 1.25  2001/04/26 16:12:00  wiget
- add update from cyrus-imapd CVS and IPv6 support

Revision 1.24  2001/04/17 12:04:22  baggins
- release 1.2
- rebuild with perl 5.6.1

Revision 1.23  2001/02/14 13:17:52  wiget
- add overquota patch (bounce mail if mailbox is over quota)

Revision 1.22  2001/02/01 16:34:12  wiget
- updated to 2.0.11, removed cron stuff (cyrus-master have own job sheduler), NFY

Revision 1.21  2001/01/27 22:17:47  kloczek
- few cosmetics and make spec %{debug} ready.

Revision 1.20  2001/01/27 17:13:26  waszi
- typo

Revision 1.19  2001/01/25 22:30:32  waszi
- file permission fixes

Revision 1.18  2001/01/25 21:58:25  waszi
- updated %files

Revision 1.17  2001/01/25 19:37:03  waszi
- partially rewrited
- added init script and sample config file

Revision 1.16  2001/01/25 15:54:44  wiget
- version 2.0.9 but not finished yet

Revision 1.15  2000/11/27 22:57:16  misiek
- using update-db is obsolete; removed

Revision 1.14  2000/08/02 18:10:48  mis
- repaired what I corrupted: back to useradd without -m (this copies /etc/skel)

Revision 1.13  2000/07/31 12:03:39  mis
- added -m to useradd to allow it create $HOME for added user(s)

Revision 1.12  2000/06/09 07:54:40  kloczek
- more %{__make} macros.

Revision 1.11  2000/06/09 07:22:49  kloczek
- added using %{__make} macro.

Revision 1.10  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.9  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.8  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.6  2000/03/28 11:10:59  arturs
- typo

Revision 1.5  2000/03/27 14:56:15  arturs
- added %description -l pl

Revision 1.4  2000/03/09 09:22:02  wiget
- faillog in /var/state/imap/faillog
- chattr +S for hashed dirs

Revision 1.3  2000/03/09 09:11:54  wiget
- added PAM config files

Revision 1.2  2000/03/08 23:46:42  wiget
- version 1.6.22
- rewrite for PLD coding style

Revision 1.1  2000/03/03 12:16:20  wiget
- readded

Revision 1.11  1999/12/13 21:05:51  alchemyx
- fixing mess a little

Revision 1.10  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
